This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 876475 - CPU topology is missing in capabilities XML when libvirt fails to detect host CPU model
CPU topology is missing in capabilities XML when libvirt fails to detect host...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
18
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Michal Privoznik
Fedora Extras Quality Assurance
: ZStream
Depends On: 866999
Blocks: 868972 ovirt-3.2-release
  Show dependency treegraph
 
Reported: 2012-11-14 04:16 EST by Igor Lvovsky
Modified: 2013-02-28 23:54 EST (History)
25 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 866999
Environment:
Last Closed: 2013-01-06 15:13:38 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Comment 1 Michal Privoznik 2012-11-14 04:27:10 EST
Pushed to maintainer branch. Cole can you include this in next build? Thanks.


commit 165518d5087a5be9080959332f2abd536f1b55d9
Author:     Jiri Denemark <jdenemar@redhat.com>
AuthorDate: Tue Oct 16 21:11:29 2012 +0200
Commit:     Michal Privoznik <mprivozn@redhat.com>
CommitDate: Tue Nov 13 16:19:46 2012 +0100

    qemu: Always format CPU topology
    
    When libvirt cannot find a suitable CPU model for host CPU (easily
    reproducible by running libvirt in a guest), it would not provide CPU
    topology in capabilities XML either. Even though CPU topology is known
    and can be queried by virNodeGetInfo. With this patch, CPU topology will
    always be provided in capabilities XML regardless on the presence of CPU
    model.
    (cherry picked from commit f1c70100409562c3f402392aa667732e5f89a2c4)
    
    Conflicts:
    
        src/qemu/qemu_capabilities.c
        src/qemu/qemu_command.c
    
        The new code uses capabilities caching.

v0.10.2.1-4-g165518d
Comment 5 Cole Robinson 2012-11-26 16:56:13 EST
Yep, I'll add to the next stable release.
Comment 6 Fedora Update System 2012-12-09 19:47:28 EST
libvirt-0.10.2.2-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/libvirt-0.10.2.2-1.fc18

Note You need to log in before you can comment on or make changes to this bug.